Package com.collibra.dgc.importer.api

# Interface SynchronizationAdministrationApi

public interface SynchronizationAdministrationApi
API for maintaining command's synchronization hashes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `evictSynchronizationCache(String synchronizationId)`
  Removes all cache entries corresponding to provided synchronization `id`.
  `boolean`
  `exists(String synchronizationId)`
  Checks whether given synchronization `id` already exists.
  `PagedResponse<SynchronizationInfo>`
  `findSynchronizationIds(FindSynchronizationRequest request)`
  Returns synchronization information matching the given search criteria.
  `void`
  `removeSynchronization(String synchronizationId)`
  Removes all information about synchronization process corresponding to provided synchronization `id`.

- ## Method Details

  - ### findSynchronizationIds

    PagedResponse<SynchronizationInfo> findSynchronizationIds(FindSynchronizationRequest request)
    Returns synchronization information matching the given search criteria. Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored. The returned synchronization information satisfies all constraints that are specified in this search criteria. By default, a result containing 1000 synchronization infos is returned.
    Parameters:
      `request` - the search criteria
    Returns:
      the found synchronization information

  - ### exists

    boolean exists(String synchronizationId)
    Checks whether given synchronization `id` already exists.
    Parameters:
      `synchronizationId` - the synchronization `id` to check
    Returns:
      `true` if synchronization `id` already exists, `false` otherwise

  - ### removeSynchronization

    void removeSynchronization(String synchronizationId)
    Removes all information about synchronization process corresponding to provided synchronization `id`.

    This stops tracking of synchronization identified by provided synchronization `id`. The next synchronization process specified with this `id` will not be able to detect resources that should be removed.

    Parameters:
      `synchronizationId` - the synchronization id for which synchronization information should be removed

  - ### evictSynchronizationCache

    void evictSynchronizationCache(String synchronizationId)
    Removes all cache entries corresponding to provided synchronization `id`.
    Parameters:
      `synchronizationId` - the synchronization id for which cache entries should be cleaned